// menu styles
.menu {
  &__overlay{
    display: none;
    position: fixed;
    height: 100%;
    width: 100%;
    z-index: 999;
    background: rgba(0, 0, 0, 0.41) ;
    top: 0;
    left: 0;
  }
  &__exit{
    display: none;  
    width: calc(100% - 15px);
    padding: 10px;
    background: rgba(0, 0, 0, 0.1);
    margin: 10px auto;
    &:hover{
      .cross{
        span{
          // background: $c-orange;
          transition: $t-normal;
        }
      }
    }
  }
  &__item {
    display: inline-block;
    color: $c-dark;
    padding: 5px 0;
    margin: 0 15px;
    font-size: $fs-16;
    font-weight: $fw-bold;
    &:hover, &--active {
      .menu__line{
        &:after, &:before{
          width: 50%;
        }
      }
    }

  }
  &__line{
    position: relative;
    bottom: 0;
    width: 100%;
    height: 2px;
    display: flex;
    justify-content: center;
    &:after, &:before{
      transition: width .35s;
      content: '';
      border-bottom: 2px solid $c-dark;
      width: 0;
    }
  }
}


@media #{$tablet} {
  .menu {
    transform: translateX(-100%);
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    z-index: 999;
    background: $c-white;
    flex-direction: column; 
    width: 140px;
    align-items: center;
    justify-content: flex-start;
    transition: $t-normal;
    &__overlay{
      display: block;
      visibility: hidden;
      opacity: 0;
      transition: $t-normal;
    }
    &__open{
      transform: translateX(0);
      transition: $t-normal;
      visibility: visible;
      opacity: 1;
    }
    &__exit{
      display: block;
    }
    &__item {
      min-width: 0px;
      border-radius: 0px;
      // background: $c-dark;
      color: $c-dark;
      border:none;
      // width: 100%;
      margin: 5px 25px 0 25px;
      
    }

  }
}